Export a reflection method

- « ReflectionMethod::createFromMethodName

- ReflectionMethod::getClosure »

- PHP Manual
- ReflectionMethod
- Export a reflection method

# ReflectionMethod::export

(PHP 5, PHP 7)

ReflectionMethod::export — Export a reflection method

Warning

This function has been DEPRECATED as of PHP 7.4.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

public static ReflectionMethod::export(string `$class`, string `$name`, bool `$return` = `false`): string

Exports a ReflectionMethod.

### Parameters

`class`

  The class name.

`name`

  The name of the method.

`return`

  Setting to `true` will return the export, as opposed to emitting it. Setting to `false` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `true`, then the export is returned as a string, otherwise `null` is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | Removed this function.
7.4.0 | Deprecated this function.

### See Also

- ReflectionMethod::__construct() - Constructs a ReflectionMethod
- ReflectionMethod::__toString() - Returns the string representation of the Reflection method object